<script>
	import 'bootstrap/dist/css/bootstrap.min.css';
	import Header from './Header.svelte';
    import Footer from './Footer.svelte';
    import Navigator from './Navigator.svelte';

	if (typeof document !== 'undefined') {
		import('bootstrap/dist/js/bootstrap.min.js')
			.then(data => globalThis.bootstrap = data)
			.catch(error => console.log({ error }));
	}
</script>

<div class="app">
	<Header />
	<Navigator />

	<main>
		<slot />
	</main>

	<Footer />
</div>
